<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Positioning</title>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <style>
        :root {
            --left-box-width: 122px;
            --right-box-width: 122px;
        }

        * {
            margin: 0;
            padding: 0;
            font-family: Calibri;
        }

        body {
            width: 100%;
            height: 100%;
        }

        #header {
            background-image: url('./header.jpg');
            background-position-y: center;
            height: 300px;
            width: 80%;
            margin-left: 10%;
            position: fixed;
        }

        #top-box {
            background: orange;
            font-weight: bold;
            padding: 10px;
            border: 1px solid black;
            display: flex;
            align-items: center;
            justify-content: center;
        }

        #left-box {
            background: lightskyblue;
            padding: 10px;
            width: calc(var(--left-box-width) - 22px);
            left: 0px;
            bottom: 0px;
            position: absolute;
            text-align: center;
            border: 1px solid black;
        }

        #right-box {
            background: lightgreen;
            padding: 10px;
            width: calc(var(--right-box-width) - 22px);
            right: 0px;
            bottom: 0px;
            position: absolute;
            text-align: center;
            border: 1px solid black;
        }

        #center-box {
            border: 1px solid black;
            padding: 10px;
            position: absolute;
            bottom: 0px;
            left: var(--left-box-width);
            /* right: 122px; */
            width: calc(100% - var(--left-box-width) - var(--right-box-width) - 22px);
            text-align: center;
            font-weight: bold;
        }

        #content {
            width: 80%;
            margin-left: 10%;
            padding-top: 310px;
        }

        p {
            font-size: 1.8em;
        }

        #left-nav {
            background: darkcyan;
            position: fixed;
            top: 0;
            left: 0;
            bottom: 0;
            width: 40px;
            z-index: 10;
            transition: 0.3s;
            opacity: 95%;
            overflow: hidden;
            color: white;
        }

        #nav-button-container {
            cursor: pointer;
            margin-left: 8px;
            margin-top:  8px;
        }

        .nav-item {
            width: 90vw; /* vw - viewport width */
            margin-left: 50px;
            color: white;
            height: 50px;
            border-bottom: 2px dotted white;
            display: flex;
            align-items: center;
        }

        .nav-item a {
            color: white;
            text-decoration: none;
        }

        .nav-item a:hover {
            background: lightgray;
        }
    </style>
</head>

<body>
    <nav id="left-nav" >
        <div id="nav-button-container" onclick="toggleNavigation()">
            <i class="material-icons">view_headline</i>
        </div>
        <div class="nav-item">
            <a href="http://www.postimees.ee">Postimees</a>
        </div>
        <div class="nav-item">
            <a href="http://www.err.ee">Eesti Rahvusringhääling</a>
        </div>
        <div class="nav-item">
            <a href="http://www.delfi.ee">Delfi</a>
        </div>
        <div class="nav-item">
            <a href="http://www.facebook.com">Facebook</a>
        </div>
    </nav>

    <div id="header">
        <div id="top-box">Super Cool Header!</div>
        <div id="left-box">The left box</div>
        <div id="right-box">The right box</div>
        <div id="center-box">Positioning is easy!</div>
    </div>
    <div id="content">
        <h1>
            Lorem ipsum ipsum!!!
        </h1>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Doloremque dignissimos rerum ea unde corrupti
            nesciunt nulla fugit est maxime, itaque quasi error molestias eos. Molestias excepturi maxime quibusdam?
            Reiciendis, est.
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Sunt hic recusandae deserunt mollitia obcaecati
            iste, quisquam dicta nulla sit? Possimus sint dicta quaerat totam asperiores quam tempora ut rem expedita!
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Fuga, cumque! Ea expedita dolores voluptates rem
            laborum dolor provident enim deleniti molestias autem culpa, tenetur minus eum quam, eligendi ut et.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Deserunt reiciendis eaque dolore, inventore,
            obcaecati harum maiores, vel hic culpa blanditiis consectetur? Qui, ex suscipit repudiandae libero doloribus
            repellendus odit possimus!
        </p>
        <p>
            Lorem, ipsum dolor sit amet consectetur adipisicing elit. Incidunt deleniti temporibus alias cum ipsam.
            Dolorum maxime incidunt qui delectus repudiandae voluptatibus odio placeat laboriosam ipsam natus? Sit eos
            qui quibusdam.
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Sunt hic recusandae deserunt mollitia obcaecati
            iste, quisquam dicta nulla sit? Possimus sint dicta quaerat totam asperiores quam tempora ut rem expedita!
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Fuga, cumque! Ea expedita dolores voluptates rem
            laborum dolor provident enim deleniti molestias autem culpa, tenetur minus eum quam, eligendi ut et.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Deserunt reiciendis eaque dolore, inventore,
            obcaecati harum maiores, vel hic culpa blanditiis consectetur? Qui, ex suscipit repudiandae libero doloribus
            repellendus odit possimus!
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Sunt hic recusandae deserunt mollitia obcaecati
            iste, quisquam dicta nulla sit? Possimus sint dicta quaerat totam asperiores quam tempora ut rem expedita!
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Fuga, cumque! Ea expedita dolores voluptates rem
            laborum dolor provident enim deleniti molestias autem culpa, tenetur minus eum quam, eligendi ut et.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Deserunt reiciendis eaque dolore, inventore,
            obcaecati harum maiores, vel hic culpa blanditiis consectetur? Qui, ex suscipit repudiandae libero doloribus
            repellendus odit possimus!
        </p>
        <p>
            Lorem ipsum dolor sit, amet consectetur adipisicing elit. Sunt hic recusandae deserunt mollitia obcaecati
            iste, quisquam dicta nulla sit? Possimus sint dicta quaerat totam asperiores quam tempora ut rem expedita!
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Fuga, cumque! Ea expedita dolores voluptates rem
            laborum dolor provident enim deleniti molestias autem culpa, tenetur minus eum quam, eligendi ut et.
        </p>
        <p>
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Deserunt reiciendis eaque dolore, inventore,
            obcaecati harum maiores, vel hic culpa blanditiis consectetur? Qui, ex suscipit repudiandae libero doloribus
            repellendus odit possimus!
        </p>
    </div>
    <script>

        let isNavigationOpen = false;

        function openLeftNavigation() {
            let navigationElement = document.querySelector('#left-nav');
            navigationElement.style.width = '100%';
            isNavigationOpen = true;
        }

        function closeLeftNavigation() {
            let navigationElement = document.querySelector('#left-nav');
            navigationElement.style.width = '40px';
            isNavigationOpen = false;
        }

        function toggleNavigation() {
            let menuButtonContainer = document.querySelector('#nav-button-container');

            if (isNavigationOpen) {
                menuButtonContainer.innerHTML = '<i class="material-icons">view_headline</i>';
                closeLeftNavigation();
            } else {
                menuButtonContainer.innerHTML = '<i class="material-icons">close</i>';
                openLeftNavigation();
            }
        }

    </script>
</body>

</html>